Subject: RE: Detecting the need for -mwin32 in newer cygwin gcc's
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Mon, 12 Mar 2001 20:15:56 -0800

On 9 Mar 2001, at 10:14, the Illustrious Robert Collins wrote:

> > -----Original Message-----
> > From: Paul Garceau [mailto:[email-masked]]
> > Sent: Friday, March 09, 2001 9:38 AM
> > To: [email-masked]
> > Subject: Re: Detecting the need for -mwin32 in newer cygwin gcc's
> > 
> > 
> > Ok, so here are my own ideas...
> > 
> > On 7 Mar 2001, at 23:49, the Illustrious Alexandre Oliva wrote:
> > 
> > > On Mar  7, 2001, Christopher Faylor <[email-masked]> wrote:
> > > 
> > > > Basically, I think we need something like a 
> > AC_PROG_GCC_USES_MWIN32.
> > > 
> > > I have mixed feelings about having this macro in autoconf.  On one
> > > hand, it would be kind of promoting the use of proprietary 
> > software. On
> > > the other, I see it would be a convenience for projects 
> > that really need
> > > it, even though it could probably live with CFLAGS='-mwin32 -g -O2'.
> > 
> > 	My own feeling are that autoconfig should _not_ be made 
> > more complex 
> > than it already is (this coming from someone who hasn't been able to
> > get a working autoconf ported, but has instead modified the switches
> > on gcc/g++ to accomplish the same things that autoconf make
> > convenient. [pun not intended]).
> 
> What problems have you had geting autoconf working? I've had no
> _autoconf_ difficulties with a long list of packages (squid, wget,
> readline, glib, ...)

	Well, to begin with, I am not using cygwin bash shell.  Given that, 
anymore from me on autoconfig would probably be inappropriate and 
considered OT.

> 
> > 	It would be easy enough to use the -mwin32 switch, or 
> > set the specs so 
> > that it is assumed that the build is for a win32 machine unless 
> > otherwise noted (-mno_win32).  Or, depending on the priorities trying
> > to be promoted and supported for Cygwin, the default can be
> > -mno-win32, thereby forcing the developer to use -mwin32 if they want
> > to build a win32 app. 	In the latter case, if -mno-cygwin is being
> > used then the default is defined as -mwin32.
> 
> While it's 'easy enough' for someone who's been on this list and
> watching the changes happen, it's not intuitive, or even logical, to an
> old unix hand, who just downloaded cygwin via setup, downloaded (say) an
> emacs tarball, and then runs ./configure; make; and hits lots of errors
> (because they needed -mwin32 and _didn't know that_.

	Strange thing about "intuitive".  It is an extremely relative term.

	Intuitive Unix is not at all the same as Intuitive Windows...it is the 
price paid for building a schizophrenic api such as Cygwin (Unix <-> 
Windows)..we can't say "this is windows" or "this is Unix", but we can 
say this is like Unix and we can say this is like Windows.  All depends 
on your point of view (relative).

> 
>  The goal is to make the porter's (who is not necessarily the developer)
> job easier.

	Ahh, but there's the rub...if using Cygwin then you can't be one or 
the other.  You have to have at least enough knowledge to know the 
difference between the Unix OS and the Windows OS.  Notwithstanding, of 
course, those who could care less, ie. those who are only concerned 
about whether a Unix application can be built on a Win32 machine and 
visa-versa (Win32 application on a Unix machine).

> 
> The porters goal is to allow the user to run
> ./configure
> make 
> make install
> 
> and have the program compile and install efficiently.
> 
> So the gcc specs are interesting, but moot: some packages need one
> default, some the other. So the porter wants the configure script to
> find the correct gcc switchs, _for this install_ of cygwin. I.e. with
> gcc 2.95.6-5 or -8, where the default is opposite!. And we want the
> porter to have an easy time of this :]

	Which is basically what I was suggesting when I referenced "modifying 
the setup.exe".
> 
> Rob
> 

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple